--- camlp4/odyl/Makefile.mp-opt	2002-07-19 07:53:56.000000000 -0700
+++ camlp4/odyl/Makefile	2002-11-05 18:20:12.000000000 -0800
@@ -52,6 +52,7 @@
 
 install:
 	-$(MKDIR) $(LIBDIR)/camlp4 $(BINDIR)
-	cp odyl.cmo odyl.cma $(LIBDIR)/camlp4/.
+	cp odyl.cmo odyl.cma odyl_main.cmi $(LIBDIR)/camlp4/.
+	if test -f odyl.cmxa; then cp odyl.cmxa odyl.a $(LIBDIR)/camlp4/.; fi
 
 include .depend
--- camlp4/ocaml_src/meta/Makefile.mp-opt	2002-07-19 07:53:53.000000000 -0700
+++ camlp4/ocaml_src/meta/Makefile	2002-11-05 18:23:18.000000000 -0800
@@ -2,7 +2,7 @@
 
 include ../../config/Makefile
 
-INCLUDES=-I ../camlp4 -I ../../boot -I $(OTOP)/utils
+INCLUDES=-I ../camlp4 -I ../../boot -I $(OTOP)/utils -I $(OTOP)/parsing
 OCAMLCFLAGS=-warn-error A $(INCLUDES)
 OBJS=q_MLast.cmo pa_r.cmo pa_rp.cmo pa_extend.cmo pa_extend_m.cmo pa_ifdef.cmo pr_dump.cmo
 CAMLP4RM=pa_r.cmo pa_rp.cmo pr_dump.cmo
--- camlp4/camlp4/Makefile.mp-opt	2002-08-05 06:50:25.000000000 -0700
+++ camlp4/camlp4/Makefile	2002-11-05 18:30:04.000000000 -0800
@@ -68,5 +68,6 @@
 	cp mLast.mli quotation.mli ast2pt.mli pcaml.mli spretty.mli $(LIBDIR)/camlp4/.
 	cp mLast.cmi quotation.cmi ast2pt.cmi pcaml.cmi spretty.cmi $(LIBDIR)/camlp4/.
 	cp camlp4.cma $(LIBDIR)/camlp4/.
+	if test -f camlp4.cmxa; then cp camlp4.cmxa camlp4.a $(LIBDIR)/camlp4/.; fi
 
 include .depend
--- camlp4/Makefile.mp-opt	2002-07-19 07:53:43.000000000 -0700
+++ camlp4/Makefile	2002-11-05 18:41:09.000000000 -0800
@@ -4,7 +4,7 @@
 
 DIRS=odyl camlp4 meta etc top ocpp lib man
 FDIRS=odyl camlp4 meta lib
-OPTDIRS= lib odyl camlp4 meta compile
+OPTDIRS= lib odyl camlp4 meta etc compile
 SHELL=/bin/sh
 COLD_FILES=ocaml_src/camlp4/argl.ml ocaml_src/camlp4/ast2pt.ml ocaml_src/camlp4/ast2pt.mli ocaml_src/camlp4/mLast.mli ocaml_src/camlp4/pcaml.ml ocaml_src/camlp4/pcaml.mli ocaml_src/camlp4/quotation.ml ocaml_src/camlp4/quotation.mli ocaml_src/camlp4/reloc.ml ocaml_src/camlp4/reloc.mli ocaml_src/camlp4/spretty.ml ocaml_src/camlp4/spretty.mli ocaml_src/lib/extfun.ml ocaml_src/lib/extfun.mli ocaml_src/lib/fstream.ml ocaml_src/lib/fstream.mli ocaml_src/lib/gramext.ml ocaml_src/lib/gramext.mli ocaml_src/lib/grammar.ml ocaml_src/lib/grammar.mli ocaml_src/lib/plexer.ml ocaml_src/lib/plexer.mli ocaml_src/lib/stdpp.ml ocaml_src/lib/stdpp.mli ocaml_src/lib/token.ml ocaml_src/lib/token.mli ocaml_src/meta/pa_extend.ml ocaml_src/meta/pa_extend_m.ml ocaml_src/meta/pa_ifdef.ml ocaml_src/meta/pa_r.ml ocaml_src/meta/pa_rp.ml ocaml_src/meta/pr_dump.ml ocaml_src/meta/q_MLast.ml ocaml_src/odyl/odyl_main.ml ocaml_src/odyl/odyl_main.mli ocaml_src/odyl/odyl.ml
 
--- camlp4/etc/Makefile.mp-opt	2002-07-19 07:53:45.000000000 -0700
+++ camlp4/etc/Makefile	2002-11-05 18:42:56.000000000 -0800
@@ -5,12 +5,13 @@
 INCLUDES=-I ../camlp4 -I ../boot -I $(OTOP)/lex
 OCAMLCFLAGS=-warn-error A $(INCLUDES)
 OBJS=q_phony.cmo pa_o.cmo pa_op.cmo pa_oop.cmo pa_ru.cmo pa_format.cmo pa_olabl.cmo pa_sml.cmo pa_lisp.cmo pa_extfold.cmo pa_extfun.cmo pa_fstream.cmo pa_ocamllex.cma pa_lefteval.cmo pr_r.cmo pr_rp.cmo pr_o.cmo pr_op.cmo pr_extend.cmo pr_extfun.cmo pr_null.cmo pr_depend.cmo
+OBJSX=$(OBJS:.cmo=.cmx)
 INTF=pa_o.cmi
 CAMLP4OM=pa_o.cmo pa_op.cmo ../meta/pr_dump.cmo
-CAMLP4OMX=pa_o.cmx pa_op.cmx ../meta/pr_dump.cmx
+CAMLP4OMX=$(CAMLP4OM:.cmo=.cmx)
 SHELL=/bin/sh
 COUT=$(OBJS) camlp4o$(EXE)
-COPT=camlp4o.opt
+COPT=$(OBJSX) camlp4o.opt
 
 all: $(COUT) mkcamlp4.sh
 opt: $(COPT)
@@ -57,7 +58,7 @@
 	cp $(INTF) $(LIBDIR)/camlp4/.
 	cp lib.sml $(LIBDIR)/camlp4/.
 	cp camlp4o$(EXE) $(BINDIR)/.
-	if test -f $(COPT); then cp $(COPT) $(BINDIR)/.; fi
+	if test -f camlp4o.opt; then cp camlp4o.opt $(BINDIR)/.; cp $(OBJSX) $(OBJSX:.cmx=.o) $(LIBDIR)/camlp4/.; fi
 	cp mkcamlp4.sh $(BINDIR)/mkcamlp4
 	chmod a+x $(BINDIR)/mkcamlp4
 
--- camlp4/meta/Makefile.mp-opt	2002-07-19 07:53:49.000000000 -0700
+++ camlp4/meta/Makefile	2002-11-05 18:45:07.000000000 -0800
@@ -2,14 +2,15 @@
 
 include ../config/Makefile
 
-INCLUDES=-I ../camlp4 -I ../boot -I $(OTOP)/utils
+INCLUDES=-I ../camlp4 -I ../boot -I $(OTOP)/utils -I $(OTOP)/parsing
 OCAMLCFLAGS=-warn-error A $(INCLUDES)
 OBJS=q_MLast.cmo pa_r.cmo pa_rp.cmo pa_extend.cmo pa_extend_m.cmo pa_ifdef.cmo pr_dump.cmo
+OBJSX=$(OBJS:.cmo=.cmx)
 CAMLP4RM=pa_r.cmo pa_rp.cmo pr_dump.cmo
-CAMLP4RMX=pa_r.cmx pa_rp.cmx pr_dump.cmx
+CAMLP4RMX=$(CAMLP4RM:.cmo=.cmx)
 SHELL=/bin/sh
 COUT=$(OBJS) camlp4r$(EXE)
-COPT=camlp4r.opt
+COPT=$(OBJSX) camlp4r.opt
 
 all: $(COUT)
 opt: $(COPT)
@@ -46,6 +47,6 @@
 	cp $(OBJS) $(LIBDIR)/camlp4/.
 	cp pa_ifdef.cmi pa_extend.cmi $(LIBDIR)/camlp4/.
 	cp camlp4r$(EXE) $(BINDIR)/.
-	if test -f $(COPT); then cp $(COPT) $(BINDIR)/.; fi
+	if test -f camlp4r.opt; then cp camlp4r.opt $(BINDIR)/.; cp $(OBJSX) $(OBJSX:.cmx=.o) $(LIBDIR)/camlp4/.; fi
 
 include .depend
